Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160888 - SDL_mixer package not signed with GPG - causes up2date to fail
Summary: SDL_mixer package not signed with GPG - causes up2date to fail
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: SDL_mixer
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-18 02:06 UTC by Dan O'Brien
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-20 09:34:31 UTC


Attachments (Terms of Use)

Description Dan O'Brien 2005-06-18 02:06:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
Can't run up2date-nox -u as pulls in SDL_mixer and it is not a signed package.

SDL_mixer-1.2.5-8.i386.rpm: ########################## Done.                   
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 1ac70ce6
The package SDL_mixer-1.2.5-8 is not signed with a GPG signature.  Aborting...
Package SDL_mixer-1.2.5-8 does not have a GPG signature.
 Aborting...


Version-Release number of selected component (if applicable):
SDL_mixer-1.2.5-8.i386

How reproducible:
Always

Steps to Reproduce:
1. up2date-nox -f -u


Actual Results:  SDL_mixer-1.2.5-8.i386.rpm: ########################## Done.                   
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 1ac70ce6
The package SDL_mixer-1.2.5-8 is not signed with a GPG signature.  Aborting...
Package SDL_mixer-1.2.5-8 does not have a GPG signature.
 Aborting...


Expected Results:  installation as usual

Additional info:

seems like a lot of packages for FC4 are not signed at this point.

Comment 1 Andre Robatino 2005-06-18 23:22:10 UTC
  The error message is incorrect.  The package has a GPG signature (1ac70ce6)
but you haven't installed the Fedora Extras GPG key so it can't be verified.

Comment 2 Dan O'Brien 2005-06-19 00:59:15 UTC
Thanks.  I found how to do this:

rpm --import
http://download.fedora.redhat.com/pub/fedora/linux/extras/RPM-GPG-KEY-Fedora-Extras

I upgraded in place from FC3 to FC4 and guess I got caught not having this key.

Problem can be closed.  

Thanks!

Comment 3 Andre Robatino 2005-06-19 06:09:45 UTC
  There are also copies of the standard keys in the directories /etc/pki/rpm-gpg
and also in /usr/share/doc/fedora-release-4.


Note You need to log in before you can comment on or make changes to this bug.